VSTGUI 4.10 Graphical User Interface Framework not only for VST plugins

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Functions Variables Typedefs Enumerations Enumerator Friends Groups Pages
Public Member Functions | List of all members
IHandler Class Referenceabstract

## Public Member Functions
virtual void | startXmlElement (Parser *parser, IdStringPtr elementName, UTF8StringPtr *elementAttributes)=0
virtual void | endXmlElement (Parser *parser, IdStringPtr name)=0
virtual void | xmlCharData (Parser *parser, const int8_t *data, int32_t length)=0
virtual void | xmlComment (Parser *parser, IdStringPtr comment)=0

## Member Function Documentation

virtual void endXmlElement | ( | Parser * | parser,
|  | IdStringPtr | name
| ) |  |
| pure virtual

virtual void startXmlElement | ( | Parser * | parser,
|  | IdStringPtr | elementName,
|  | UTF8StringPtr * | elementAttributes
| ) |  |
| pure virtual

virtual void xmlCharData | ( | Parser * | parser,
|  | const int8_t * | data,
|  | int32_t | length
| ) |  |
| pure virtual

virtual void xmlComment | ( | Parser * | parser,
|  | IdStringPtr | comment
| ) |  |
| pure virtual

The documentation for this class was generated from the following file:

- xmlparser.h